#ifndef _BASICS_CPP_
#define _BASICS_CPP_
#include "Basics.h"
#include <iostream>
#include <string>
//#include <stdio.h>

using namespace std;

//FUNCTIONS FOR WORKING WITH LINKED LIST OF POINTS (called pointListNodes)

pointListNode* makepointList(float xx, float yy, float zz)
{
	pointListNode* first = NULL;
	first = new pointListNode;
	first->x = xx;
	first->y = yy;
	first->z = zz;
	first->next = NULL;
	return first;
}

int destroypointList(pointListNode* start)
{
	//cout<<"Destroying point list\n";
	if (start != NULL)
	{
		//cout<<"destroypointList:Start point isnt NULL\n";
		
		pointListNode* current;
		pointListNode* after;
		current = start;
		after = current->next;
		while (current != NULL)
		{
			delete current;
			current = current->next;
		}
		start = NULL;

	}
	return 0;
}

void addtopointList(pointListNode* listname, float xx, float yy, float zz)
{
	//cout<<"ADDING point to list "<<xx<<","<<yy<<","<<zz<<endl;
	pointListNode* current = NULL;
	pointListNode* added = NULL;
	added = new pointListNode;
	added->x = xx;
	added->y = yy;
	added->z = zz;
	added->next = NULL;
	current = listname;
	while (current->next != NULL)
	{
		current = current->next;
	}
	current->next = added;
	//cout<<"----------ADDED point "<<xx<<","<<yy<<","<<zz<<endl;
}

void printpointList(pointListNode* listname)
{
	//cout<<"Printing list\n";
	pointListNode* current = NULL;
	current = listname;
	while (current !=NULL)
	{
		cout<<current->x<<","<<current->y<<","<<current->z<<endl;
		current = current->next;
	}
}

int positivef(float num)
{
	if (num	> 0.0)
		return 1;
	else
		return 0;
}

int lengthLL(pointListNode* list)
{
	pointListNode* current;
	current = list;
	int count=0;
	while (current !=NULL)
	{
		count++;
		current = current->next;
	}
	return count;
	
}


#endif 
// BASICS_H












