#ifndef _INTERFACE_H_
#define _INTERFACE_H_
#include "OBJFunctions.h"
#define RGBRED 1
#define RGBGRN 2
#define RGBBLU 3
#define RGBWHT 4
#define RGBBLK 5
#include <vector>
class hotArea
{

	private :
		
		float width;
		float height;
		int ID;
		//pointListNode* coords;
		
	public :
		float x;
		float z;
		hotArea(); // default constructor
		hotArea(float xx, float zz, float nwidth,float nheight);
		hotArea(float xx, float zz, float nwidth,float nheight,int nuID);
		//~hotArea();
		int Check(float mX,float mZ);
		void Move(float offX,float offY,float offZ);
		
}; 

typedef struct mypen
{
	float red;
	float green;
	float blue;
} mypen;

extern mypen pen;

//extern OBJFile hand;
void initInterface();
void drawInterface();
void updatePenColor(int);
void makePlate(float ,float );
int checkMouseOver(float,float);
int checkClick(float,float,int);
void writeShot(int);
void dropPlate(float,float);
extern OBJFile bomb;
extern float camX,camY,camZ;
extern int penUP;
extern float penrgb[3];
extern vector<hotArea> Plates;
extern int currentPlate,plateCount;
//extern int mouseOverSave;
#endif
