#ifndef _EXPLOSIONS_H_
#define _EXPLOSIONS_H_

#include <iostream>
#include <string>
#include "Basics.h"
#include <vector>

class Explosion
{

	private :
		float centreX, centreY, centreZ, radius;
		int numParticles;		
	public :
		pointListNode* particles;
		pointListNode* directions;	
		float color[3];
		int isUpdating;
		int exploded;
		Explosion(); // default constructor
		Explosion(float cX,float cY,float cZ,int numParts, float r,float g,float b, float rad);
		~Explosion();
		void updateParticles();
		void wipe();
		void draw();
		
		
}; 

extern vector<Explosion> Explosions;
void makeNewExplosion(float ,float ,float ,int , float ,float ,float , float );
void drawExplosions();
void updateExplosions();
void explosionCleanUp();
void Explode();


//void makeExplosion(float,float,float,int, float,float,float,float);

#endif
